crashpad::UserStreamDataSource Class Referenceabstract

Extensibility interface for embedders who wish to add custom streams to minidumps. More...

`#include "handler/user_stream_data_source.h"`

## Public Member Functions

virtual std::unique_ptr< MinidumpUserExtensionStreamDataSource > | ProduceStreamData (ProcessSnapshot *process_snapshot)=0
| Produce the contents for an extension stream for a crashed program. More...

## Detailed Description

Extensibility interface for embedders who wish to add custom streams to minidumps.

## Member Function Documentation

## ProduceStreamData()

virtual std::unique_ptr<MinidumpUserExtensionStreamDataSource> crashpad::UserStreamDataSource::ProduceStreamData | ( | ProcessSnapshot * | process_snapshot | ) |

pure virtual

Produce the contents for an extension stream for a crashed program.

Called after process_snapshot has been initialized for the crashed process to (optionally) produce the contents of a user extension stream that will be attached to the minidump.

Parameters

  [in] | process_snapshot | An initialized snapshot for the crashed process.

Returns
  A new data source for the stream to add to the minidump or `nullptr` on failure or to opt out of adding a stream.

The documentation for this class was generated from the following file:

- handler/user_stream_data_source.h